Bug 867585 - cursor freezes up
cursor freezes up
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2012-10-17 15:24 EDT by vartan
Modified: 2013-08-01 09:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 09:57:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description vartan 2012-10-17 15:24:40 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:
when the system comes out of sleep mode with some trouble (black screen with square brackets with OK on it shows up and goes away in a few short seconds) goes to log on screen. logging goes through with some difficulty and then cursor freezes up. system not usable has to reboot. I do not know how to send the system data, if any. there has to be a way to capture a snap shot of the system at the incident moment. 

Steps to Reproduce:
1.choose random screen saver
2. Xfce power manager Actions slider is set to 48 hard drive spin down is      checked.
3. put display to sleep...... to 30 minutes,
4. put switch off display ...... to 45 minutes  3.
Actual results:
cursor freezes up 

Expected results:
normal operation to use the system

Additional info:
Comment 1 vartan 2012-10-22 02:06:07 EDT
The system with following set up  had the same problem.

uname -a >> Linux localhost.localdomain 3.6.2-4.fc17.i686 #1 SMP
	            Wed Oct 17 03:22:23 UTC 2012 i686 i686 i386

xorg-x11-server-common  is
xorg-x11-server-Xorg    is
xorg-x11-server-Xephyr  is
Comment 2 vartan 2012-11-07 16:52:06 EST
uname -a
Linux localhost.localdomain 3.6.5-1.fc17.i686 #1 SMP Wed Oct 31 20:21:22 UTC 2012 i686 i686 i386 GNU/Linux

X.Org X Server 1.12.2
Release Date: 2012-05-29
shows the following:
4375.270] (II) NOUVEAU(0): Supported established timings:
[  4375.270] (II) NOUVEAU(0): 720x400@70Hz
[  4375.270] (II) NOUVEAU(0): 640x480@60Hz
[  4375.270] (II) NOUVEAU(0): 640x480@67Hz
[  4375.270] (II) NOUVEAU(0): 640x480@72Hz
[  4375.270] (II) NOUVEAU(0): 640x480@75Hz
[  4375.270] (II) NOUVEAU(0): 800x600@56Hz
[  4375.270] (II) NOUVEAU(0): 800x600@60Hz
[  4375.270] (II) NOUVEAU(0): 800x600@72Hz
[  4375.270] (II) NOUVEAU(0): 800x600@75Hz
[  4375.270] (II) NOUVEAU(0): 832x624@75Hz
[  4375.270] (II) NOUVEAU(0): 1024x768@60Hz
[  4375.270] (II) NOUVEAU(0): 1024x768@70Hz
[  4375.270] (II) NOUVEAU(0): 1024x768@75Hz
[  4375.270] (II) NOUVEAU(0): 1152x864@75Hz             
[  4375.270] (II) NOUVEAU(0): Manufacturer's mask: 0
[  4375.270] (II) NOUVEAU(0): Supported standard timings:
[  4375.270] (II) NOUVEAU(0): #0: hsize: 1152  vsize 864  refresh: 75  vid: 20337
[  4375.270] (II) NOUVEAU(0): #1: hsize: 1280  vsize 800  refresh: 60  vid: 129
[  4375.270] (II) NOUVEAU(0): #2: hsize: 1440  vsize 900  refresh: 60  vid: 149
[  4375.270] (II) NOUVEAU(0): #3: hsize: 1280  vsize 800  refresh: 75  vid: 3969
[  4375.270] (II) NOUVEAU(0): #4: hsize: 1440  vsize 900  refresh: 75  vid: 3989
[  4375.270] (II) NOUVEAU(0): Supported detailed timing:
[  4375.271] (II) NOUVEAU(0): clock: 108.0 MHz   Image Size:  443 x 249 mm
[  4375.271] (II) NOUVEAU(0): h_active: 1600  h_sync: 1624  h_sync_end 1704 h_blank_end 1800 h_border: 0
[  4375.271] (II) NOUVEAU(0): v_active: 900  v_sync: 901  v_sync_end 904 v_blanking: 1000 v_border: 0
[  4375.271] (II) NOUVEAU(0): Ranges: V min: 56 V max: 75 Hz, H min: 30 H max: 81 kHz, PixClock max 155 MHz
[  4375.271] (II) NOUVEAU(0): Monitor name: SyncMaster
[  4375.271] (II) NOUVEAU(0): Serial No: HVKS700484

the highest  Supported established timings is :
4375.270] (II) NOUVEAU(0): 1152x864@75Hz
My monitor is set to 1600x900 @60HZ
But I do not want to operate my monitor anything less then 1600x900.

May be this is the cause. I can see there is an apparent disparity between:
 Supported established timings,
 Supported standard timing and
 Supported detailed timing 
IN NOUVEAU driver.

Currently I set the Xfce power manager action to never
and monitor to never this will help a bit.
Comment 3 Fedora End Of Life 2013-07-04 00:34:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 09:57:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.